package sun.java2d.pipe.hw;

import java.awt.Graphics2D;
import java.awt.GraphicsConfiguration;
import sun.awt.image.SunVolatileImage;

public class AccelTypedVolatileImage extends SunVolatileImage
{
    public AccelTypedVolatileImage(GraphicsConfiguration graphicsConfig, int width, int height, int transparency, int accType) {
        super(null, graphicsConfig, width, height, null, transparency, null, accType);
    }
    
    @Override
    public Graphics2D createGraphics() {
        if (this.getForcedAccelSurfaceType() == 3) {
            throw new UnsupportedOperationException("Can't render to a non-RT Texture");
        }
        return super.createGraphics();
    }
}
